### Method

# Ide EditorPage get_language_id

#### Declaration

    const gchar*
    ide_editor_page_get_language_id (
      IdeEditorPage* self
    )

#### Description

This is a helper to get the language-id of the underlying buffer.

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| The language-id as a string, or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.